package org.opengroup.osdu.notification.provider.gcp.pubsub.di;

import lombok.extern.slf4j.Slf4j;
import org.opengroup.osdu.core.common.cryptographic.SignatureService;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Primary;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

import static org.springframework.beans.factory.config.BeanDefinition.SCOPE_SINGLETON;

/**
 * @author Rostislav_Dublin
 * @since 17.11.2021
 */
@Component
@Scope(SCOPE_SINGLETON)
@Primary
@Slf4j
@ConditionalOnProperty(name = "oqmDriver")
public class OqmSignatureService extends SignatureService {
    @PostConstruct
    void postConstruct() {
        log.info("OqmSignatureService bean constructed.");
    }
}
